{ config, pkgs, ... }:
{
  imports =
    [
      ./hardware-configuration.nix
      ../../modules/home-manager.nix
      ../../modules/nur-and-unstable.nix
      ../../modules/unfree.nix
      ../../modules/base.nix
      ../../modules/base-efi.nix
      ../../modules/xdg.nix
      ../../modules/power-management.nix
      ../../modules/ntfs.nix
      ../../modules/git.nix
      ../../modules/zsh.nix
      ../../modules/nitrokey-gpg-smartcard.nix
      ../../modules/ssh-client.nix
      ../../modules/ssh-server.nix
      ../../modules/lid-switch-handling.nix

      ../../modules/btrfs-scrub.nix
      ../../modules/btrfs-mount-options.nix

      ../../modules/gnome-base.nix
      ../../modules/gnome-config.nix
      ../../modules/gnome-extensions.nix
      # Not required as display scale is set 2.0 (multiple of 1).
      #../../modules/gnome-fractional-scaling.nix
      ../../modules/fwupd-gnome.nix
      ../../modules/gnome-wallpaper.nix

      #../../modules/gnome-terminal.nix
      ../../modules/blackbox.nix

      ../../modules/programs-base.nix
      ../../modules/programs.nix
      ../../modules/flatpak.nix
      ../../modules/file-roller.nix
      ../../modules/ausweisapp.nix
      ../../modules/nextcloud-client.nix
      ../../modules/syncthing.nix
      ../../modules/signal-desktop.nix
      ../../modules/obsidian.nix
      ../../modules/vlc-dvd-blu-ray.nix
      ../../modules/firefox.nix
      ../../modules/thunderbird.nix
      ../../modules/tor-browser.nix
      #../../modules/digikam-rawtherapee-hugin-gimp.nix
      ../../modules/freetube.nix
      ../../modules/ghostwriter.nix
      ../../modules/print-and-scan.nix
      #../../modules/waydroid.nix

      ../../modules/autostart.nix

      ../../modules/jetbrains-ide.nix

      #../../modules/docker.nix
      #../../modules/docker-pushrm.nix
    ];

  networking.hostName = "yodaTab";
  boot.initrd.luks.devices."luks-ba8b94d0-7f70-496a-ad87-eadc5e852aad".allowDiscards = true;
  boot.initrd.luks.devices."512gb".allowDiscards = true;
  yoda.btrfsFileSystems = ["/"];
  #yoda.btrfsMounts = yoda.btrfsFileSystems;
  fileSystems."/mnt/512gb".options = [ "noatime" "commit=60" ]; # Ext4

  boot.kernelParams = [];
  boot.kernelPackages = pkgs.linuxPackages_latest;

  # Most users should never change this value after the initial install, for any reason, even if you've upgraded your system to a new NixOS release.
  system.stateVersion = "23.05";
}
